Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::node_impl_util::node_type_impl< Node >::event_listener_ptr< EventListenerMember > Class Template Reference

Concrete pointer-to-member wrapper. More...

`#include <openvrml/node_impl_util.h>`

Inheritance diagram for openvrml::node_impl_util::node_type_impl< Node >::event_listener_ptr< EventListenerMember >:
[legend]

List of all members.

## Public Member Functions

| event_listener_ptr (EventListenerMember Node::*ptr_to_mem)
| Construct.

## Detailed Description

### template<typename Node>
template<typename EventListenerMember>
class openvrml::node_impl_util::node_type_impl< Node >::event_listener_ptr< EventListenerMember >

Concrete pointer-to-member wrapper.

Template Parameters:

  | EventListenerMember | an `event_listener` member of Node.

## Constructor & Destructor Documentation

template<typename Node >
template<typename EventListenerMember >

openvrml::node_impl_util::node_type_impl< Node >::event_listener_ptr< EventListenerMember >::event_listener_ptr | ( | EventListenerMember Node::* | ptr_to_mem | ) | `[inline, explicit]`

Construct.

Parameters:

  `[in]` | ptr_to_mem | a pointer to an `openvrml::event_listener` member.